﻿@model Appointments.Entities.Patient

@{
    ViewBag.Title = "Details";
    string med = ViewBag.med;
}

<h2>Details</h2>

<div>
    <h4>Patient</h4>
    <hr />
    <dl class="dl-horizontal">
        @if (User.IsInRole("Admin"))
        {
        <dt>
            @Html.DisplayNameFor(model => model.Username)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Username)
        </dd>
        }
        <dt>@Html.DisplayNameFor(model => model.FirstName)</dt>
        <dd>@Model.FirstName</dd>
        <dt>@Html.DisplayNameFor(model => model.LastName)</dt>
        <dd>@Model.LastName</dd>
    </dl>
    @if ((User.Identity.Name == Model.Username)||(User.IsInRole("Doctor")) || (User.IsInRole("Admin")))
    {
        <h2>Doctors</h2>
            <dl>
                @foreach (var p in Model.Doctors)
                {
                    <dt>
                        Doctor:
                    </dt>

                    <dd>
                        @p.FirstName @p.LastName
                    </dd>
                }
            </dl>

        <h2>Appointments</h2>
        if (User.IsInRole("Doctor"))
        {
            <a href="~/Appointments/Create">Add Appointment</a><br /><br />
        }       <dl>
            @foreach (var a in Model.Appointments)
                {
                <dt>
                    
                </dt>

                    <dd>
                        <a href="~/Appointments/Details/@a.ID"> @a.StartDate.ToShortDateString() - @a.EndDate.ToShortDateString()</a>
</dd>
            }
        </dl>
        <h2>Prescriptions</h2>
        if (User.IsInRole("Doctor"))
        {
            <a href="~/Prescriptions/Create">Add Prescription</a><br /><br />
        }
        foreach (var s in Model.Prescriptions)
        {
                <a href="~/Prescriptions/Details/@s.ID">Prescription ID: @s.ID</a>
            }
    }
</div>

<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.ID }) |
    @Html.ActionLink("Back to List", "Index")
</p>
